package com.zm.order.tool.server.response;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author 陈标
 * @Date 2020/3/12 13:37
 */
public class OrderStatusFlowsVO {

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    private Long id;

    /**
     * 业务类型 餐饮1 零售2 企小店3
     */
    @ApiModelProperty("业务类型 餐饮1 零售2 企小店3")
    private String bizType;

    /**
     * 单据类型
     */
    @ApiModelProperty("单据类型")
    private String docType;
    /**
     * 之前状态
     */
    @ApiModelProperty("之前状态")
    private String beforeStatus;

    /**
     * 操作
     */
    @ApiModelProperty("操作")
    private String operation;

    /**
     * 之后状态
     */
    @ApiModelProperty("之后状态")
    private String afterStatus;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createdAt;

    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    private Date updatedAt;

    /**
     * 激活标识
     */
    @ApiModelProperty("激活标识")
    private Integer isActivated;


    @ApiModelProperty("激活状态")
    private String showActivatie;

    public String getShowActivatie() {
        return showActivatie;
    }

    public void setShowActivatie(String showActivatie) {
        this.showActivatie = showActivatie;
    }

    public Integer getIsActivated() {
        return isActivated;
    }

    public void setIsActivated(Integer isActivated) {
        this.isActivated = isActivated;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getDocType() {
        return docType;
    }

    public void setDocType(String docType) {
        this.docType = docType;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getBeforeStatus() {
        return beforeStatus;
    }

    public void setBeforeStatus(String beforeStatus) {
        this.beforeStatus = beforeStatus;
    }

    public String getAfterStatus() {
        return afterStatus;
    }

    public void setAfterStatus(String afterStatus) {
        this.afterStatus = afterStatus;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
